## ros-kinetic-open-karto 1.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(open_karto)

find_package(catkin REQUIRED)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  DEPENDS Boost
  INCLUDE_DIRS
    include
  LIBRARIES
    karto
)

include_directories(include ${catkin_INCLUDE_DIRS})
add_library(karto SHARED src/Karto.cpp src/Mapper.cpp)
target_link_libraries(karto ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION include)
install(TARGETS karto
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-open-karto (1.1.4-0xenial) xenial; urgency=high

  * update build status badges
  * Adds LocalizedRangeScanWithPoints range scan
  * Contributors: Michael Ferguson, Russell Toris

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 02 Mar 2016 08:00:00 -0000

ros-kinetic-open-karto (1.1.3-0xenial) xenial; urgency=high

  * Link against, and export depend on, boost
  * Contributors: Hai Nguyen, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 16 Feb 2016 08:00:00 -0000

ros-kinetic-open-karto (1.1.2-0xenial) xenial; urgency=high

  * Added getters and setters for parameters inside Mapper so they can be changed via the ROS param server.
  * Contributors: Luc Bettaieb, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 13 Jul 2015 07:00:00 -0000

ros-kinetic-open-karto (1.1.1-0xenial) xenial; urgency=high

  * Makes FindValidPoints robust to the first point in the scan being a NaN
  * Bump minimum cmake version requirement
  * Fix cppcheck warnings
  * Fix newlines (dos2unix) & superfluous whitespace
  * Protect functions that throw away const-ness (check dirty flag) with mutex
  * Don't modify scan during loop closure check - work on a copy of it
  * removed useless return to avoid cppcheck error
  * Add Mapper::SetUseScanMatching
  * Remove html entities from log output
  * Fix NANs cause raytracing to take forever
  * Contributors: Daniel Pinyol, Michael Ferguson, Paul Mathieu, Siegfried-A. Gevatter Pujals, liz-murphy

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 07 May 2015 07:00:00 -0000

ros-kinetic-open-karto (1.1.0-0xenial) xenial; urgency=high

  * Release as a pure catkin ROS package

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 15 Jun 2014 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-open-karto
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-open-karto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: Catkinized ROS packaging of the OpenKarto library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-open-karto//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
